{% extends 'dashboard/dashboard.twig' %}

{% block title %}Teachers | GradeBook{% endblock %}
{% block stylesheets %}
        <link rel="stylesheet" type="text/css" href="{{ asset('css/main.css') }}">
{% endblock %}

{% block javascripts %}
    <script src="{{ asset('js/main.js') }}" type="text/javascript"></script>
{% endblock %}

{% block body %}

<div id="table">
    <div id="table-title">
        <div id="table-title-text">
            <h3>{{ title }}</h3>
            <a href="{{ url('add-teacher') }}"<i class="fas fa-plus-square"></i></a>
        </div>
    </div>
    <div id="list">
        <table>
            <tr>
                <th>Name</th>
                <th>Surname</th>
                <th>Classes</th>
                <th>Subjects</th>
                <th id="action-th">Action</th>
            </tr>
            {% for teacher in teachers %}
            <tr>
                <td>{{ teacher.name }}</td>
                <td>{{ teacher.surname }}</td>
                <td>{% for class in teacher.classes %}{{ class|e }} {% endfor %}</td>
                <td>{% for subject in teacher.subject %}{{ subject }}<br>{% endfor %}</td>
                <td id="action-td"><a href="{{ path('edit-teacher', {'id': teacher.id}) }}"><i class="fas fa-edit"></i></a><a onclick="deleteAlertTeacher({{ teacher.id }})"><i class="fas fa-trash-alt" ></i></a></td>
            </tr>
            {% endfor %}
        </table>
    </div>
</div>

{% endblock %}